# Chomp Message Library

## [v20](https://github.com/wow-rp-addons/Chomp/tree/v20) (2022-08-28)
[Full Changelog](https://github.com/wow-rp-addons/Chomp/compare/v19...v20) [Previous Releases](https://github.com/wow-rp-addons/Chomp/releases)

- Merge pull request #49 from wow-rp-addons/patch/always-use-codecv2  
    Use v2 serialization codec by default  
- Use v2 serialization codec by default  
    This removes the ability for us to communicate with pre-v16 versions  
    of Chomp by enforcing that all serialization goes through the new  
    codec version. This will, in turn, allow us to deprecate and remove  
    the old v1 codec later on down the line when nothing on the network  
    should be sending us v1 codec data. Unfortunately that can't be done  
    now due to the nature of codec autonegotiation starting off with  
    v1 and upgrading to v2 based upon received bitflags.  
- TOC bump  
- Merge pull request #44 from wow-rp-addons/patch/deduplicate-filter-errors  
    Prevent emission of duplicate error events  
- Prevent emission of duplicate error events  
    Chat filters are executed once per chat frame that is registered for  
    a given event; if a message is sent through Chomp to an offline player  
    the SYSTEM message filter can trigger the OnError callback multiple  
    times if there exists multiple chat frames all registered for that  
    message type.  
    This changeset makes it so that the OnError callback is only executed  
    once per message by deduplicating with the unique line ID.  
- Merge pull request #48 from wow-rp-addons/patch/fix-comms-throttle-retail  
    Make reduced comms throughput only affect Classic  
- Version bump  
- Make reduced comms throughput only affect Classic  
    We were testing a constant that's never defined, thus actually limiting  
    comms bandwidth on all clients to the levels supported by Classic.  
